import { createPinia } from 'pinia'
import type { App } from 'vue'
// import piniaPluginPersistedstate from 'pinia-plugin-persistedstate'
// 创建store实例
const store = createPinia()
// store.use(piniaPluginPersistedstate)
// 挂载到app上
export function setupStore(app: App<Element>) {
  app.use(store)
}

export { store }
